{
    "doc": "Represents contract of all dependencies for a service",
    "fields": [
        {
            "name": "datastores",
            "type": {
                "items": {
                    "doc": "Represents the contract of DataStore. Type of the datastore can be mongodb, postgres, etc",
                    "fields": [
                        {
                            "name": "type",
                            "type": "string"
                        },
                        {
                            "name": "description",
                            "type": "string"
                        },
                        {
                            "name": "url",
                            "type": {
                                "items": "string",
                                "type": "array"
                            }
                        },
                        {
                            "name": "status",
                            "type": {
                                "doc": "Represents the contract of service status",
                                "name": "Status",
                                "symbols": [
                                    "OK",
                                    "DOWN"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "name": "additionalProperties",
                            "type": [
                                "null",
                                {
                                    "type": "map",
                                    "values": "string"
                                }
                            ]
                        }
                    ],
                    "name": "DataStore",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "name": "apis",
            "type": {
                "items": {
                    "doc": "Represents the contract of API dependency (either REST or OTHER)",
                    "fields": [
                        {
                            "name": "type",
                            "type": {
                                "name": "APIType",
                                "symbols": [
                                    "REST",
                                    "MONGODB",
                                    "OTHER"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "name": "description",
                            "type": "string"
                        },
                        {
                            "name": "url",
                            "type": {
                                "items": "string",
                                "type": "array"
                            }
                        },
                        {
                            "name": "status",
                            "type": "Status"
                        },
                        {
                            "name": "additionalProperties",
                            "type": [
                                "null",
                                {
                                    "type": "map",
                                    "values": "string"
                                }
                            ]
                        }
                    ],
                    "name": "API",
                    "type": "record"
                },
                "type": "array"
            }
        }
    ],
    "name": "Dependencies",
    "namespace": "org.gel.models.system.avro",
    "type": "record"
}